Skip to content

Get Funding History​

GET
/v1/perps/funding-history

Return funding charged or received on your positions over a time window. A positive
fundingAmount is funding received; a negative amount is funding paid.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

pair

Currency pair symbol to filter by, e.g. BTCUSDC. For xyz pairs prefix with xyz: (e.g. xyz:METAUSDC).

Type
string
startTime

Start of the time window in epoch milliseconds. Must be >= 0 and <= endTime.

Type
integer
Format
"int32"
endTime

End of the time window in epoch milliseconds. Must be >= 0 and >= startTime.

Type
integer
Format
"int32"
skip

Number of records to skip for pagination.

Type
integer
Format
"int32"
limit

Maximum number of records to return. Silently clamped to 100 if a larger value is sent.

Type
integer
Format
"int32"

Responses​

Funding history retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​